## r-cran-pbapply 1.1

=== DESCRIPTION ===
Package: pbapply
Type: Package
Title: Adding Progress Bar to '*apply' Functions
Version: 1.1-3
Date: 2015-10-24
Author: Peter Solymos
Maintainer: Peter Solymos <solymos@ualberta.ca>
Description: A lightweight package that adds
  progress bar to vectorized R functions
  ('*apply'). The implementation can easily be added
  to functions, where showing the progress is
  useful for the user (e.g. bootstrap).
Depends: R (>= 3.2.0)
License: GPL-2
URL: https://github.com/psolymos/pbapply
LazyLoad: yes
NeedsCompilation: no
Packaged: 2015-11-24 21:31:30 UTC; Peter
Repository: CRAN
Date/Publication: 2015-11-24 23:59:18

## r-cran-pbapply 1.1-3

=== debian/changelog ===
r-cran-pbapply (1.1-3-1) unstable; urgency=low

  * New upstream release 

 -- Jonathon Love <jon@thon.cc>  Sat, 19 Dec 2015 14:15:42 +1100

r-cran-pbapply (1.1-1-1) unstable; urgency=low

  * Initial release. (Closes: #797388)

 -- Jonathon Love <jon@thon.cc>  Sat, 29 Aug 2015 19:39:39 +0200

=== debian/control ===
Source: r-cran-pbapply
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-pbapply.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-pbapply.git
Homepage: http://cran.r-project.org/package=pbapply

Package: r-cran-pbapply
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-base
Description: GNU R package providing progress bars for vectorized R functions
 The r-cran-pbapply package is a GNU R package providing progress bars
 for vectorized R functions.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/pbapply_([\d\.-]*).tar.gz

## r-cran-pbapply 1.3

=== DESCRIPTION ===
Package: pbapply
Type: Package
Title: Adding Progress Bar to '*apply' Functions
Version: 1.3-1
Date: 2016-10-30
Author: Peter Solymos [aut, cre], Zygmunt Zawadzki [aut]
Maintainer: Peter Solymos <solymos@ualberta.ca>
Description: A lightweight package that adds
  progress bar to vectorized R functions
  ('*apply'). The implementation can easily be added
  to functions where showing the progress is
  useful (e.g. bootstrap). The type and style of the
  progress bar (with percentages or remaining time)
  can be set through options.
  Functions can exploit parallel processing resources.
Depends: R (>= 3.2.0)
Imports: parallel
License: GPL-2
URL: https://github.com/psolymos/pbapply
BugReports: https://github.com/psolymos/pbapply/issues
NeedsCompilation: no
Packaged: 2016-10-31 01:22:05 UTC; root
Repository: CRAN
Date/Publication: 2016-10-31 07:57:08

## r-cran-pbapply 1.3-1

=== debian/changelog ===
r-cran-pbapply (1.3-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Convert to debhelper
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2016 17:28:33 +0100

=== debian/control ===
Source: r-cran-pbapply
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-pbapply.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-pbapply.git
Homepage: http://cran.r-project.org/package=pbapply

Package: r-cran-pbapply
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing progress bars for vectorized R functions
 The r-cran-pbapply package is a GNU R package providing progress bars
 for vectorized R functions.

## r-cran-pbapply 1.3-3

=== debian/changelog ===
r-cran-pbapply (1.3-3-1) unstable; urgency=medium

  * New upstream version 1.3-3
  * Bump to watch file format version 4.
  * Bump to debhelper compat level 10.
  * Bump to Standards-Version 4.1.0.
  * Add Testsuite: autopkgtest-pkg-r.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Sep 2017 21:39:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-pbapply.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-pbapply.git
 Homepage: http://cran.r-project.org/package=pbapply

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/pbapply_([\d\.-]*).tar.gz

## r-cran-pbapply 1.3-4

=== debian/changelog ===
r-cran-pbapply (1.3-4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 21:21:31 +0200

r-cran-pbapply (1.3-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2018 15:40:02 +0100

=== debian/control ===
Source: r-cran-pbapply
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbapply
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbapply.git
Homepage: http://cran.r-project.org/package=pbapply

Package: r-cran-pbapply
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing progress bars for vectorized R functions
 The r-cran-pbapply package is a GNU R package providing progress bars
 for vectorized R functions.

## r-cran-pbapply 1.4

=== DESCRIPTION ===
Package: pbapply
Type: Package
Title: Adding Progress Bar to '*apply' Functions
Version: 1.4-2
Date: 2019-08-30
Author: Peter Solymos [aut, cre], Zygmunt Zawadzki [aut]
Maintainer: Peter Solymos <solymos@ualberta.ca>
Description: A lightweight package that adds
  progress bar to vectorized R functions
  ('*apply'). The implementation can easily be added
  to functions where showing the progress is
  useful (e.g. bootstrap). The type and style of the
  progress bar (with percentages or remaining time)
  can be set through options.
  Supports several parallel processing backends.
Depends: R (>= 3.2.0)
Imports: parallel
License: GPL-2
URL: https://github.com/psolymos/pbapply
BugReports: https://github.com/psolymos/pbapply/issues
NeedsCompilation: no
Packaged: 2019-08-31 02:39:23 UTC; Peter
Repository: CRAN
Date/Publication: 2019-08-31 05:10:02 UTC

## r-cran-pbapply 1.4-1

=== debian/changelog ===
r-cran-pbapply (1.4-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 11:30:42 +0200

r-cran-pbapply (1.4-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 21:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbapply.git
-Homepage: http://cran.r-project.org/package=pbapply
+Homepage: https://cran.r-project.org/package=pbapply
 
 Package: r-cran-pbapply
 Architecture: all

## r-cran-pbapply 1.4-2

=== debian/changelog ===
r-cran-pbapply (1.4-2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:18:20 +0000

r-cran-pbapply (1.4-2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:42:11 +0200

r-cran-pbapply (1.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 11:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbapply.git
 Homepage: https://cran.r-project.org/package=pbapply
+Rules-Requires-Root: no
 
 Package: r-cran-pbapply
 Architecture: all

## r-cran-pbapply 1.4-3

=== debian/changelog ===
r-cran-pbapply (1.4-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 15:17:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-cran-pbapply 1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pbapply
 Type: Package
 Title: Adding Progress Bar to '*apply' Functions
-Version: 1.4-2
-Date: 2019-08-30
+Version: 1.5-0
+Date: 2021-09-15
 Author: Peter Solymos [aut, cre], Zygmunt Zawadzki [aut]
 Maintainer: Peter Solymos <solymos@ualberta.ca>
 Description: A lightweight package that adds
@@ -15,10 +15,11 @@
   Supports several parallel processing backends.
 Depends: R (>= 3.2.0)
 Imports: parallel
+Suggests: shiny
 License: GPL-2
 URL: https://github.com/psolymos/pbapply
 BugReports: https://github.com/psolymos/pbapply/issues
 NeedsCompilation: no
-Packaged: 2019-08-31 02:39:23 UTC; Peter
+Packaged: 2021-09-15 23:35:27 UTC; Peter
 Repository: CRAN
-Date/Publication: 2019-08-31 05:10:02 UTC
+Date/Publication: 2021-09-16 05:10:14 UTC

## r-cran-pbapply 1.5-0

=== debian/changelog ===
r-cran-pbapply (1.5-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 10:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbapply.git
 Homepage: https://cran.r-project.org/package=pbapply

## r-cran-pbapply 1.6-0

=== debian/changelog ===
r-cran-pbapply (1.6-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:15:47 +0100

=== debian/control ===
Source: r-cran-pbapply
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Jonathon Love <jon@thon.cc>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbapply
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbapply.git
Homepage: https://cran.r-project.org/package=pbapply
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-pbapply
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing progress bars for vectorized R functions
 The r-cran-pbapply package is a GNU R package providing progress bars
 for vectorized R functions.

## r-cran-pbapply 1.7

=== DESCRIPTION ===
Package: pbapply
Type: Package
Title: Adding Progress Bar to '*apply' Functions
Version: 1.7-0
Date: 2023-01-12
Authors@R: 
    c(person(given = "Peter",
             family = "Solymos",
             comment = c(ORCID = "0000-0001-7337-1740"),
             role = c("aut", "cre"),
             email = "psolymos@gmail.com"),
      person(given = "Zygmunt",
             family = "Zawadzki",
             role = "aut",
             email = "zygmunt@zstat.pl"),
      person(given = "Henrik", 
             family = "Bengtsson", 
             role = "ctb",
             email = "henrikb@braju.com"),
      person("R Core Team", role = c("cph", "ctb")))
Maintainer: Peter Solymos <psolymos@gmail.com>
Description: A lightweight package that adds
  progress bar to vectorized R functions
  ('*apply'). The implementation can easily be added
  to functions where showing the progress is
  useful (e.g. bootstrap). The type and style of the
  progress bar (with percentages or remaining time)
  can be set through options.
  Supports several parallel processing backends including future.
Depends: R (>= 3.2.0)
Imports: parallel
Suggests: shiny, future, future.apply
License: GPL (>= 2)
URL: https://github.com/psolymos/pbapply
BugReports: https://github.com/psolymos/pbapply/issues
NeedsCompilation: no
Packaged: 2023-01-12 08:34:55 UTC; Peter
Author: Peter Solymos [aut, cre] (<https://orcid.org/0000-0001-7337-1740>),
  Zygmunt Zawadzki [aut],
  Henrik Bengtsson [ctb],
  R Core Team [cph, ctb]
Repository: CRAN
Date/Publication: 2023-01-13 14:40:02 UTC

## r-cran-pbapply 1.7-0

=== debian/changelog ===
r-cran-pbapply (1.7-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Sync Test-Depends with Suggests

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 14:21:39 +0100

## r-cran-pbapply 1.7-2

=== debian/changelog ===
r-cran-pbapply (1.7-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 16:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbapply.git
 Homepage: https://cran.r-project.org/package=pbapply
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-shiny,
         r-cran-future,
         r-cran-future.apply
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/pbapply_([\d\.-]*).tar.gz
